/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

import java.util.List;

/**
 * OASIS XLIFF の header要素をあらわすバリューオブジェクト。
 */
public class BlancoXliffHeader {
    /**
     * フィールド [toolList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * ツールのリスト。
     */
    private List fToolList = new java.util.ArrayList();

    /**
     * フィールド [toolList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * ツールのリスト。
     *
     * @param argToolList フィールド[toolList]に格納したい値
     */
    public void setToolList(final List argToolList) {
        fToolList = argToolList;
    }

    /**
     * フィールド[toolList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * ツールのリスト。
     *
     * @return フィールド[toolList]に格納されている値
     */
    public List getToolList() {
        return fToolList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffHeader[");
        buf.append("toolList=" + fToolList);
        buf.append("]");
        return buf.toString();
    }
}
